## org.biojava.ontology.obo
Class OboFileParser.SOPair

    java.lang.Object
      org.biojava.ontology.obo.OboFileParser.SOPair

Enclosing class:
  OboFileParser

    public static class OboFileParser.SOPair

extends Object

Field Summary
`int` `endIndex`
`int` `index`
`String` `str`

Constructor Summary
`OboFileParser.SOPair(String str, int index)`
`OboFileParser.SOPair(String str, int index, int endIndex)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### str

    public String str

### index

    public int index

### endIndex

    public int endIndex

Constructor Detail

### OboFileParser.SOPair

    public OboFileParser.SOPair(String str,
                                int index)

### OboFileParser.SOPair

    public OboFileParser.SOPair(String str,
                                int index,
                                int endIndex)